package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/decision"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

func registerErpDecisionRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	r := v1.Group("/decision").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())

	r.POST("report", decision.ErpDecisionReport)             // 进销存报表
	r.POST("store_sales_report", decision.ErpStoreSalesData) // 进销存报表
}
